## org.apache.poi.hslf.exceptions
Class InvalidRecordFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hslf.exceptions.InvalidRecordFormatException

All Implemented Interfaces:
  java.io.Serializable

    public final class InvalidRecordFormatException

extends java.lang.Exception

This exception is thrown when we try to create a record, and the underlying data just doesn't match up

Author:
  Nick Burch
See Also:
  Serialized Form

Constructor Summary
`InvalidRecordFormatException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRecordFormatException

    public InvalidRecordFormatException(java.lang.String s)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.